Skip to content

Add to List

POST /rest/v1/lists/{listId}/leads.json

Permissions Read-Write Lead

Build a request and mock the response

Method: POST
Path: /rest/v1/lists/{listId}/leads.json
Tag: Static Lists
Operation ID: addLeadsToListUsingPOST

Adds a given set of person records to a target static list. There is a limit of 300 lead ids per request. Required Permissions: Read-Write Lead

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
listId integer (int32) Yes Id of target list

Query parameters

Name Type Required Description Constraints
id array No Comma-separated list of lead ids to add to the list collection format: multi

Request body

Name: listOperationRequest
Required: No
Schema: model: ListOperationRequest

Optional JSON request body for submitting leads

Generated example

{
  "input": [
    {
      "id": 123
    }
  ]
}

Referenced models

Example request

POST {{base_url}}/rest/v1/lists/{{listId}}/leads.json?id={{id}}
Content-Type: application/json
Accept: application/json

{
  "input": [
    {
      "id": 123
    }
  ]
}

Responses

200 — OK

Schema: model: ResponseOfListOperationOutputData

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.